{
  "name": "app-notifications",
  "version": "0.1.0",
  "private": true,
  "homepage": "https://resiajf.ml/notifications",
  "dependencies": {
    "bootstrap": "^4.1.3",
    "hamburgers": "^0.9.3",
    "i18next": "^11.7.0",
    "i18next-browser-languagedetector": "^2.2.3",
    "i18next-xhr-backend": "^1.5.1",
    "jquery": "^3.3.1",
    "moment": "^2.22.2",
    "popper.js": "^1.14.4",
    "react": "^16.4.2",
    "react-dom": "^16.4.2",
    "react-helmet": "^5.2.0",
    "react-i18next": "^7.11.1",
    "react-redux": "^5.0.7",
    "react-router": "^4.3.1",
    "react-router-dom": "^4.3.1",
    "react-scripts-resi": "https://gitlab.com/resiajf/web/create-react-app-resi.git",
    "react-spring": "^5.6.14",
    "react-toastify": "^4.3.0",
    "redux": "^4.0.0",
    "redux-thunk": "^2.3.0"
  },
  "scripts": {
    "test": "react-scripts-ts test --env=jsdom",
    "eject": "react-scripts-ts eject",
    "watch-css": "npm run build-css && node-sass-chokidar --include-path ./src --include-path ./node_modules src/ -o src/ --watch --recursive",
    "start-js": "react-scripts-ts start",
    "start": "npm-run-all -p watch-css start-js",
    "build-css": "node-sass-chokidar --include-path ./src --include-path ./node_modules src/ -o src/",
    "build-js": "react-scripts-ts build",
    "build": "npm-run-all build-css build-js"
  },
  "proxy": {
    "/locales": {
      "target": "http://localhost:3001"
    },
    "/icons": {
      "target": "http://localhost:3001"
    },
    "/app-api": {
      "target": "http://localhost:3001"
    },
    "/app-api/notifications/ws": {
      "target": "ws://localhost:3001",
      "ws": true
    }
  },
  "devDependencies": {
    "@types/jest": "^23.3.1",
    "@types/node": "^10.9.4",
    "@types/react": "^16.4.13",
    "@types/react-dom": "^16.0.7",
    "@types/react-helmet": "^5.0.7",
    "@types/react-i18next": "^7.8.2",
    "@types/react-redux": "^6.0.7",
    "@types/react-router-dom": "^4.3.0",
    "node-sass-chokidar": "^1.3.3",
    "npm-run-all": "^4.1.3",
    "typescript": "^3.0.3"
  }
}
